# Sandbox

Use these endpoints to initiate sandbox functionality.

 - [POST /api/v1/sandbox/card-swipe/](https://docs.jiko.io/products/partner-api/reference/sandbox/submit_card_swipe_api_v1_sandbox_card_swipe__post.md): Simulate a card swipe with the given `card_id` for a given `amount_usdc` in USD cents. **Note**: Only for virtual cards at the moment.
 - [POST /api/v1/sandbox/generate-card/](https://docs.jiko.io/products/partner-api/reference/sandbox/generate_physical_card_from_order_api_v1_sandbox_generate_card__post.md): Generate a physical card from a card order with a given `card_order_id`.
 - [POST /api/v1/sandbox/webhook/](https://docs.jiko.io/products/partner-api/reference/sandbox/trigger-webhook.md): Simulates a webhook event according to the payload. This will trigger requests to subscribed callback URLs, if any.
 - [POST /api/v1/sandbox/fund/](https://docs.jiko.io/products/partner-api/reference/sandbox/fund_account_api_v1_sandbox_fund__post.md): Simulates an ACH credit to the provided Jiko account. Requires a portal to use. A portal can be created using the [Create Portal](/products/partner-api/reference/portals/create_portal_api_v1_jiko_acco
 - [POST /api/v1/sandbox/ach-receiving/](https://docs.jiko.io/products/partner-api/reference/sandbox/simulate_ach_receiving_api_v1_sandbox_ach_receiving__post.md): Simulates an ACH receiving to one of your portals, as if another bank had sent it. Only available in sandbox. Address the entry as a real one is addressed: with the portal's `routing_number` and `acco
 - [POST /api/v1/sandbox/jiko-accounts/{account_id}/ach-originating/{transfer_id}/settle/](https://docs.jiko.io/products/partner-api/reference/sandbox/settle-ach-origination-v1.md): Simulates the receiving bank settling an ACH origination. Only available in sandbox. Applies to an ACH origination in `IN_TRANSIT` status. In sandbox, an origination created with [Create ACH Originati
 - [POST /api/v1/sandbox/jiko-accounts/{account_id}/ach-originating/{transfer_id}/return/](https://docs.jiko.io/products/partner-api/reference/sandbox/return-ach-origination-v1.md): Simulates the receiving bank returning an ACH origination with the NACHA return code you choose. Only available in sandbox. Applies to an ACH origination that is: - `IN_TRANSIT`, with any NACHA return
 - [POST /api/v1/sandbox/wire-receiving/](https://docs.jiko.io/products/partner-api/reference/sandbox/simulate_wire_receiving_api_v1_sandbox_wire_receiving__post.md): Simulates receiving a wire into one of your portals, as if another bank had sent it. Only available in sandbox. Address the wire as a real one is addressed: with the portal's `routing_number` and `acc
